package com.trade.service.thirdparty.sop.dto;

/**
 * 法院公告 查询信息类型为3时返回
 */
public class SOPCourtAnnouncement {

    /* 公告类型 */
    private String announcementType;
    /* 公告人（执行法院） */
    private String executeCourt;
    /* 当事人（公司） */
    private String corpName;
    /* 公告时间（刊登日期 ） "yyyy-MM-dd" */
    private String publishDate;
    /* 公告内容 */
    private String content;
    /* 接口时间戳 "yyyy-MM-dd HH:mm:ss" */
    private String gmtModified;
    /* 公告人全拼 */
    private String executeCourtFullPin;
    /* 公告人简拼 */
    private String executeCourtSimplePin;
    /* 当事人全拼 */
    private String corpNameFullPin;
    /* 当事人简拼 */
    private String corpNameSimplePin;

    public String getAnnouncementType() {
        return announcementType;
    }

    public void setAnnouncementType(String announcementType) {
        this.announcementType = announcementType;
    }

    public String getExecuteCourt() {
        return executeCourt;
    }

    public void setExecuteCourt(String executeCourt) {
        this.executeCourt = executeCourt;
    }

    public String getCorpName() {
        return corpName;
    }

    public void setCorpName(String corpName) {
        this.corpName = corpName;
    }

    public String getPublishDate() {
        return publishDate;
    }

    public void setPublishDate(String publishDate) {
        this.publishDate = publishDate;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public String getExecuteCourtFullPin() {
        return executeCourtFullPin;
    }

    public void setExecuteCourtFullPin(String executeCourtFullPin) {
        this.executeCourtFullPin = executeCourtFullPin;
    }

    public String getExecuteCourtSimplePin() {
        return executeCourtSimplePin;
    }

    public void setExecuteCourtSimplePin(String executeCourtSimplePin) {
        this.executeCourtSimplePin = executeCourtSimplePin;
    }

    public String getCorpNameFullPin() {
        return corpNameFullPin;
    }

    public void setCorpNameFullPin(String corpNameFullPin) {
        this.corpNameFullPin = corpNameFullPin;
    }

    public String getCorpNameSimplePin() {
        return corpNameSimplePin;
    }

    public void setCorpNameSimplePin(String corpNameSimplePin) {
        this.corpNameSimplePin = corpNameSimplePin;
    }
}
